> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unblockedbrands.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a wallet pass location

> Get a wallet pass location by its ID.




## OpenAPI

````yaml api-reference/openapi.json get /wallet-pass-location/{locationId}
openapi: 3.1.0
info:
  title: Unblocked Wallet Passes API
  description: Unblocked Wallet Passes API
  version: 1.0.0
servers:
  - url: https://api.ubpass.co/v1
    description: Generated server url
security:
  - AccessToken: []
  - APIKey: []
tags:
  - name: Pique
    description: Get Pique Campaigns and their video performance data
  - name: Passport - Passes
    description: >-
      Create, update, retrieve, and delete wallet passes for Apple and Google
      platforms
  - name: Passport - Push Notifications
    description: Create, update, get, and delete wallet pass notifications
  - name: Passport - Locations
    description: Create, update, get, and delete wallet pass locations
  - name: Upload APIs
    description: Upload and manage pass assets and images
paths:
  /wallet-pass-location/{locationId}:
    get:
      tags:
        - Passport - Locations
      summary: Get a wallet pass location
      description: |
        Get a wallet pass location by its ID.
      operationId: getPassLocation
      parameters:
        - name: x-workspace-id
          in: header
          description: >-
            Workspace ID to perform the operation in. If not provided, system
            will use the first one assigned to the user
          required: false
          schema:
            type: string
            pattern: ^[a-zA-Z0-9-_]+$
          example: 1f089d29-6f9c-66c2-af59-99631cec7ab5
        - name: locationId
          in: path
          description: Unique identifier of the wallet pass location
          required: true
          schema:
            type: string
            pattern: ^[a-zA-Z0-9-_]+$
          example: 1f089d37-5ebe-6778-af59-99631cec7ab5
      responses:
        '200':
          description: Successfully retrieved wallet pass location
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PassLocation'
              examples:
                Location Response:
                  summary: Wallet pass location details
                  description: Location Response
                  value:
                    id: 1f089d37-5ebe-6778-af59-99631cec7ab5
                    createdTime: '2025-09-04T21:09:36.027Z'
                    updatedTime: '2025-09-04T21:11:01.734Z'
                    createdBy: 1ef58ae6-40ac-6fd2-96af-45801844c4e2
                    updatedBy: 1ef58ae6-40ac-6fd2-96af-45801844c4e2
                    workspaceId: 1f089d29-6f9c-66c2-af59-99631cec7ab5
                    accountId: 1f089d29-6fa8-6a13-af59-99631cec7ab5
                    name: TORONTO MALL LOCATION
                    enabled: true
                    latitude: 43.798327702071944
                    longitude: -79.24175240232819
                    relevantText: Welcome to Toronto Premium Outlets
                    walletPass:
                      id: 1f07ee39-d750-6276-aff4-07a599527878
        '401':
          description: Unauthorized - Invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnblockedApiError'
              examples:
                Unauthorized Error:
                  summary: Authentication failed
                  description: Unauthorized Error
                  value:
                    txId: Root=1-68d3693c-26a3db2278c7668f5e086711
                    timestamp: 24-09-2025 03:45:00
                    errorCode: UNAUTHORIZED
                    errorMessage: UNAUTHORIZED.
        '404':
          description: Not Found - Wallet pass location not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnblockedApiError'
              examples:
                Not Found Error:
                  summary: Location not found
                  description: Not Found Error
                  value:
                    txId: 1f098fa9-3786-64d4-b4ff-533200846d35
                    timestamp: 24-09-2025 03:57:23
                    errorCode: NOT_FOUND
                    errorMessage: Not found.
                    context:
                      id: 1f083424-11ed-617f-9513-1b26dc975ee2
components:
  schemas:
    PassLocation:
      type: object
      properties:
        id:
          type: string
        createdTime:
          type: string
          format: date-time
          description: >-
            The time when the entity was created in ISO 8601 format including
            milliseconds and timezone offset.
          example: '2025-05-13T15:07:15.036Z'
        updatedTime:
          type: string
          format: date-time
          description: >-
            The time when the entity was last updated in ISO 8601 format
            including milliseconds and timezone offset.
          example: '2025-05-13T15:07:15.036Z'
        createdBy:
          type: string
          description: The user who created the entity.
        updatedBy:
          type: string
          description: The user who last updated the entity.
        workspaceId:
          type: string
          description: The ID of the workspace to which this entity belongs.
        name:
          type: string
          description: >-
            Name of the location. This field is required and has a maximum
            length of 255 characters.
          example: Main Store
          maxLength: 255
          minLength: 0
        enabled:
          type: boolean
          description: >-
            Indicates whether the location is enabled. If true, the pass may
            trigger a notification when the user is near this location. Default
            is true if not specified.
          example: true
        latitude:
          type: number
          format: double
          description: Latitude of the location in degrees. This field is required.
          example: 37.7749
        longitude:
          type: number
          format: double
          description: Longitude of the location in degrees. This field is required.
          example: -122.4194
        altitude:
          type: number
          format: double
          description: Altitude of the location in meters. Optional.
          example: 10.5
        relevantText:
          type: string
          description: >-
            Text to display on the lock screen when the user is near this
            location. This field is required and has a maximum length of 255
            characters.
          example: You are near Main Store!
          maxLength: 255
          minLength: 0
      required:
        - latitude
        - longitude
        - name
        - relevantText
    UnblockedApiError:
      type: object
      properties:
        txId:
          type: string
        timestamp:
          type: string
          format: date-time
        errorCode:
          type: string
        errorMessage:
          type: string
        context:
          type: object
          additionalProperties: {}
  securitySchemes:
    AccessToken:
      type: http
      description: Bearer token authentication
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      description: API Key authentication
      name: api-key
      in: header

````